This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 500083 - Fedora 11 preview netinst: Failed to enter graphical install
Fedora 11 preview netinst: Failed to enter graphical install
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-10 15:45 EDT by Jon Dufresne
Modified: 2010-02-05 10:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-05 10:53:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My Xorg.0.log AFTER install (39.06 KB, text/plain)
2009-05-13 01:14 EDT, Jon Dufresne
no flags Details
X.org during (49.92 KB, text/plain)
2009-05-13 23:10 EDT, Jon Dufresne
no flags Details

  None (edit)
Description Jon Dufresne 2009-05-10 15:45:52 EDT
Description of problem:

Using the Fedora 11 preview netinst iso, I was unable to enter the graphical install of anaconda. When I use the default boot option, there is an attempt to change the graphic mode, but when complete I am left with a corrupted image that has a distorted image of the boot prompt tiled four times along the top of the monitor with the rest of the monitor solid black. I waited a long time for this to clear to the next screen but this remained. While looking at this corrupted image, ctrl-alt-F* had no effect.

I then restarted and attempted to enter the graphical install using the "basic video driver" option. This time when changing graphic modes my monitor was unable to handle the signal. My monitor reported an error which read as "The current input timing is not supported by the monitor display."

After using the text install I am able to use my Fedora 11 desktop properly with no graphics problems. So this graphics issue appears to be localized to the installer and not a part of the system as a whole.

My graphics card is a "ATI rage 128 pro".
# lspci -vvxxx -s 01:00.0
01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 Pro Ultra TF (prog-if 00 [VGA controller])
	Subsystem: PC Partner Limited Device 7106
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (2000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at d8000000 (32-bit, prefetchable) [size=64M]
	Region 1: I/O ports at c800 [size=256]
	Region 2: Memory at dfefc000 (32-bit, non-prefetchable) [size=16K]
	Expansion ROM at dfec0000 [disabled] [size=128K]
	Capabilities: [50] AGP version 2.0
		Status: RQ=32 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans- 64bit- FW- AGP3- Rate=x1,x2,x4
		Command: RQ=32 ArqSz=0 Cal=0 SBA+ AGP+ GART64- 64bit- FW- Rate=x1
	Capabilities: [5c] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Kernel modules: aty128fb
00: 02 10 46 54 87 00 b0 02 00 00 00 03 08 20 00 00
10: 08 00 00 d8 01 c8 00 00 00 c0 ef df 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 4b 17 06 71
30: 00 00 ec df 50 00 00 00 00 00 00 00 0b 01 08 00
40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
50: 02 5c 20 00 07 02 00 1f 01 03 00 1f 01 00 02 02
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

My monitor is a Dell S2309W.

Version-Release number of selected component (if applicable):
Fedora 11 preview netinst iso.


How reproducible:
100%

Steps to Reproduce:
1. Insert Fedora 11 preview netinst cd
2. Choose default "Install or upgrade an existing system"
3. Skip media test.
4. Watch the graphics system attempt to set the mode and fail to continue.
  
Actual results:
Am left with a corrupted image on the screen that looks like the boot prompt tiled 4 times along the top of the monitor with the rest of the monitor blank or black.

Expected results:
Should properly enter the graphical installer to allow me to install Fedora 11.

Additional info:
I'd be happy to gather any information that would be helpful as well as attempt a new install to look for improvement.
Comment 1 Matěj Cepl 2009-05-12 05:59:30 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

When the anaconda crashes, please, switch to the console (Ctrl+Alt+F2) and copy /tmp/X* and /var/log/anaconda.xlog to some other place -- USB stick, some other computer via network, some on the Internet, and please attach it to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

You can also install in the text mode (write "linux text" on the anaconda command line in the beginning of the installation process) and then you can collect logs normal way: attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Jon Dufresne 2009-05-13 01:12:32 EDT
(In reply to comment #1)
> When the anaconda crashes, please, switch to the console (Ctrl+Alt+F2) and copy
> /tmp/X* and /var/log/anaconda.xlog to some other place -- USB stick, some other
> computer via network, some on the Internet, and please attach it to the bug
> report as individual uncompressed file attachments using the bugzilla file
> attachment link below.

I am unable to switch to a different console. My grphical output is corrupted and ctrl+alt+F* has no effect.

> You can also install in the text mode (write "linux text" on the anaconda
> command line in the beginning of the installation process) and then you can
> collect logs normal way: attach your X server config file (/etc/X11/xorg.conf,
> if available) and X server log file (/var/log/Xorg.*.log) to the bug report as
> individual uncompressed file attachments using the bugzilla file attachment
> link below.

After installing F11 using text mode I am able to obtain the Xorg.0.log which I will attach. No xorg.conf exists on my system and am so unable to attach it.
Comment 3 Jon Dufresne 2009-05-13 01:14:01 EDT
Created attachment 343699 [details]
My Xorg.0.log AFTER install

Attached is the Xorg.0.log I obtained after a successful text install. My X works perfectly after a text install but only produced corrupted output during a graphical install.
Comment 4 Jon Dufresne 2009-05-13 23:10:47 EDT
Created attachment 343903 [details]
X.org during 

basic
video driver
Comment 5 Jon Dufresne 2009-05-13 23:12:44 EDT
Sorry for the bad post above. But comment #4 is the /tmp/X.org during the "basic video driver" installation method. During this method X was in a mode unsupported by my monitor.

There was no /var/log/anaconda.xlog when I obtained this file.

As mentioned earlier I am unable to get the /tmp/X.org during normal graphical install as I can not switch to a different console with ctrl+alt+F*
Comment 6 Bug Zapper 2009-06-09 11:36:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Matěj Cepl 2009-11-05 13:29:06 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Jon Dufresne 2010-02-05 10:53:37 EST
I have now discovered that the computer displaying this bug had severe hardware issues that caused many unexplained bugs and kernel panics. This is likely related to those hardware issues and not a real bug. Closing.

Note You need to log in before you can comment on or make changes to this bug.